View Javadoc

    1   /*
    2    * Copyright 2012 The Netty Project
    3    *
    4    * The Netty Project licenses this file to you under the Apache License,
    5    * version 2.0 (the "License"); you may not use this file except in compliance
    6    * with the License. You may obtain a copy of the License at:
    7    *
    8    *   http://www.apache.org/licenses/LICENSE-2.0
    9    *
    10   * Unless required by applicable law or agreed to in writing, software
    11   * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
    12   * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
    13   * License for the specific language governing permissions and limitations
    14   * under the License.
    15   */
    16  package org.jboss.netty.util;
    17
    18  /**
    19   * Overrides the thread name proposed by {@link ThreadRenamingRunnable}.
    20   */
    21  public interface ThreadNameDeterminer {
    22
    23      /**
    24       * {@link ThreadNameDeterminer} that accepts the proposed thread name
    25       * as is.
    26       */
    27      ThreadNameDeterminer PROPOSED = new ThreadNameDeterminer() {
    28          public String determineThreadName(String currentThreadName,
    29                  String proposedThreadName) throws Exception {
    30              return proposedThreadName;
    31          }
    32      };
    33
    34      /**
    35       * {@link ThreadNameDeterminer} that rejects the proposed thread name and
    36       * retains the current one.
    37       */
    38      ThreadNameDeterminer CURRENT = new ThreadNameDeterminer() {
    39          public String determineThreadName(String currentThreadName,
    40                  String proposedThreadName) throws Exception {
    41              return null;
    42          }
    43      };
    44
    45      /**
    46       * Overrides the thread name proposed by {@link ThreadRenamingRunnable}.
    47       *
    48       * @param currentThreadName   the current thread name
    49       * @param proposedThreadName  the proposed new thread name
    50       * @return the actual new thread name.
    51       *         If {@code null} is returned, the proposed thread name is
    52       *         discarded (i.e. no rename).
    53       */
    54      String determineThreadName(String currentThreadName, String proposedThreadName) throws Exception;
    55  }